xen-tools

Description:Xen tools including QEMU and xl
License: GPL-2
Homepage:https://www.xenproject.org
Location:Portage
Legend:
  • + - stable
  • ~ - unstable
  • M - hardmask
alpha amd64 arm hppa ia64 m68k mips ppc ppc64 s390 sh sparc x86
4.12.0-r3 diff - ~ ~ - - - - - - - - - ~
4.11.1-r5 diff - + ~ - - - - - - - - - +
4.10.3-r2 - + ~ - - - - - - - - - +

USE flags

  • api - Build the C libxenapi bindings
  • custom-cflags - Build with user-specified CFLAGS (unsupported)
  • debug - Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
  • doc - Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
  • flask - Enable the Flask XSM module from NSA
  • hvm - Enable support for hardware based virtualization (VT-x,AMD-v)
  • ipxe - Enable ipxe support
  • ocaml - Enable support for the ocaml language
  • ovmf - Enable support to boot UEFI guest vm, needed by hvm
  • pam - Enable pam support
  • pygrub - Install the pygrub boot loader
  • python - Add optional support/bindings for the Python language
  • python_single_target_python2_5 - Build for Python 2.5 only
  • python_single_target_python2_6 - Build for Python 2.6 only
  • python_single_target_python2_7 - Build for Python 2.7 only
  • python_targets_python2_5 - Build with Python 2.5
  • python_targets_python2_6 - Build with Python 2.6 (removed)
  • python_targets_python2_7 - Build with Python 2.7
  • qemu - Enable IOEMU support via the use of qemu-dm
  • qemu-traditional - Build the old qemu traditional device model (useful only if you cannot change to the new device model e.g. Windows VMs)
  • rombios - Enable rombios support, needed by ipxe
  • screen - Enable support for running domain U console in an app-misc/screen session
  • sdl - Add support for Simple Direct Layer (media library)
  • selinux - !!internal use only!! Security Enhanced Linux support, this must be set by the selinux profile or breakage will occur
  • static-libs - Build static versions of dynamic libraries as well
  • system-ipxe - Using sys-firmware/ipxe instead of the bundled one
  • system-qemu - Using app-emulation/qemu instead of the bundled one
  • system-seabios - Using sys-firmware/seabios instead of the bundled one

Security Advisory

Date Severity Title
5 months normal Xen: Multiple Vulnerabilities
10 months normal Xen: Multiple vulnerabilities
over 1 year high Xen: Multiple vulnerabilities
almost 2 years high Xen: Multiple vulnerabilities
about 2 years normal Xen: Multiple vulnerabilities
over 2 years normal Xen: Privilege Escalation
over 2 years normal Xen: Multiple vulnerabilities
over 2 years normal Xen: Multiple vulnerabilities
almost 3 years normal Xen: Multiple vulnerabilities
over 3 years normal Xen: Multiple vulnerabilities
almost 6 years high Xen: Multiple vulnerabilities

Also available in: Atom

Thank you!